Crystal Space: iSkeletonGraveyard Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonGraveyard Struct Reference

iSkeletonGraveyard is the interface that cares for all skeleton factories. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonGraveyard:

[legend]
List of all members.

## Public Member Functions
virtual iSkeletonFactory * | CreateFactory (const char *name)=0
| Get skeleton factory by name.
virtual iSkeleton * | CreateSkeleton (iSkeletonFactory *fact, const char *name=0)=0
| Create skeleton from specific factory.
virtual iSkeletonFactory * | FindFactory (const char *name)=0
| Find skeleton factory by name.
virtual size_t | GetFactoriesCount ()=0
| Get number of skeleton factories.
virtual iSkeletonFactory * | LoadFactory (const char *file_name)=0
| Load skeleton factory from file.

## Detailed Description

iSkeletonGraveyard is the interface that cares for all skeleton factories.

It can be accessed via object registry. Also it holds and updates all existing skeleton objects.

Definition at line 798 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonFactory* iSkeletonGraveyard::CreateFactory | ( | const char * | name | ) | `[pure virtual]`

Get skeleton factory by name.

virtual iSkeleton* iSkeletonGraveyard::CreateSkeleton | ( | iSkeletonFactory * | fact,
|  | const char * | name = `0` |
| ) |  |  | `[pure virtual]`

Create skeleton from specific factory.

virtual iSkeletonFactory* iSkeletonGraveyard::FindFactory | ( | const char * | name | ) | `[pure virtual]`

Find skeleton factory by name.

virtual size_t iSkeletonGraveyard::GetFactoriesCount | ( |  | ) | `[pure virtual]`

Get number of skeleton factories.

virtual iSkeletonFactory* iSkeletonGraveyard::LoadFactory | ( | const char * | file_name | ) | `[pure virtual]`

Load skeleton factory from file.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h